package org.example;

import org.example.BeatThemAllGame.Logger;

public class Enemy extends Character {

        public Enemy(String name, int maxHP, int attackPower, int defense, SpecialAbility specialAbility) {
            super(name, maxHP, attackPower, defense);
            this.specialAbility = specialAbility;
        }

        @Override
        public void attack(Character target) {
            System.out.println(name + " attaque " + target.name + " !");
            Logger.getInstance().log(name + " attaque " + target.name);
            target.takeDamage(attackPower);
        }
    }
